## cascading.tap.hadoop
Class StreamedFileStatus

    java.lang.Object
      org.apache.hadoop.fs.FileStatus
          cascading.tap.hadoop.StreamedFileStatus

All Implemented Interfaces:
  Comparable, Writable

    public class StreamedFileStatus

extends FileStatus

Class StreamedFileStatus ...

Constructor Summary
`StreamedFileStatus(long l, boolean b, int i, long l1, long l2, Path path, String md5Hex)` Constructor StreamedFileStatus creates a new StreamedFileStatus instance.

Method Summary
`String` `getMd5Hex()` Method getMd5Hex returns the md5Hex of this StreamedFileStatus object.

Methods inherited from class org.apache.hadoop.fs.FileStatus
`compareTo, equals, getAccessTime, getBlockSize, getGroup, getLen, getModificationTime, getOwner, getPath, getPermission, getReplication, hashCode, isDir, readFields, setGroup, setOwner, setPermission, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamedFileStatus

    public StreamedFileStatus(long l,
                              boolean b,
                              int i,
                              long l1,
                              long l2,
                              Path path,
                              String md5Hex)

  Constructor StreamedFileStatus creates a new StreamedFileStatus instance.

  Parameters:
    `l` - of type long
    `b` - of type boolean
    `i` - of type int
    `l1` - of type long
    `l2` - of type long
    `path` - of type Path
    `md5Hex` - of type String

Method Detail

### getMd5Hex

    public String getMd5Hex()

  Method getMd5Hex returns the md5Hex of this StreamedFileStatus object.

  Returns:
    the md5Hex (type String) of this StreamedFileStatus object.

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.